import {html} from 'lit-html';
import {spreadProps} from '@open-wc/lit-helpers';
import '../components/CWTestWidget.js';

// TODO: need to be added Jsdoc2Json from Coreweb for autogenerating ArgTypes

export default {
  title: 'Test/TestWidget',
  component: 'cw-test-widget',
  argTypes: {
    backgroundColor: {control: 'color'},
    onClick: {action: 'onClick'}
  }
};

const Template = (args) => html`
  <cw-test-widget ...=${spreadProps(args)}></cw-test-widget>
`;

export const Base = Template.bind({});

export const CustomTitle = Template.bind({});
CustomTitle.args = {
  title: 'Custom title goes here!'
};

export const CustomCounter = Template.bind({});
CustomCounter.args = {
  counter: 5000
};
