import {init} from '../src/initWidgets.js';
import {setCustomElements} from '@storybook/web-components'
import customElements from '../src/components/custom-elements.json'

setCustomElements(customElements);

if (process.env.STORYBOOK_WITH_BRIDGE)
  init(true);

export const parameters = {
  actions: { argTypesRegex: "^on[A-Z].*" },
  html: {
    removeEmptyComments: true
  }
}
