import {html} from 'lit-html';
import '../components/CWDialog.js';

export default {
    title: 'Dialog/Dialog',
    component: 'x-dialog',
    componentSubtitle: 'Dialog component',
    parameters: {
        actions: {
            handles: ['close', 'cancel', 'change', 'open']
        }}
};

export const Dialog = () => {
    return html`<button onclick="document.getElementById('dialog').showModal();">Open dialog</button>
        <cw-dialog id="dialog">
            <div slot="body">
                <input name="one" value="1">
                <input name="two" value="2">
            </div>
        </cw-dialog>`;
};