import {html} from 'lit-html';
import {spreadProps} from '@open-wc/lit-helpers';
import '../components/CWDateBox.js';

export default {
  title: 'components/DateBox',
  component: 'cw-date-box'
};

const Template = (args) => html`
  <cw-date-box ...=${spreadProps(args)}></cw-date-box>
`;

export const Base = Template.bind({});
Base.args = {
  label: 'This is a label',
  description: 'Test description'
};
